Warning: Can't synchronize with repository "(default)" (Unsupported version control system "svn": No module named svn). Look in the Trac log for more information.

Changes between Version 17 and Version 18 of 2.0/changelog


Ignore:
Timestamp:
08/29/08 19:04:27 (11 years ago)
Author:
mramm
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • 2.0/changelog

    v17 v18  
    101101=== Upgrading from 1.9.7a2 === 
    102102 
     103    * The changes to the `base_config` object make it necessary to change `config/environment.py` and `config/middleware.py`.  Without these changes your app will raise deprecation warnings. 
     104 
     105      * in `config/environment.py`: 
     106 
     107{{{ 
     108-load_environment = make_load_environment(base_config) 
     109+load_environment = base_config.make_load_environment() 
     110}}} 
     111 
     112      * in `config/middleware.py`: 
     113 
     114{{{  
     115+-make_base_app = setup_tg_wsgi_app(load_environment, base_config) 
     116+make_base_app = base_config.setup_tg_wsgi_app(load_environment) 
     117}}} 
     118 
     119      * You can also delete the from `tg.environment import make_load_environment` statements from both `config/app.py` and `config/environment.py` 
     120 
     121